"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BaseValidationRule = /** @class */ (function () {
    function BaseValidationRule(key, options) {
        this.options = {
            message: key + "" + this.defaultMessage
        };
        this.options = Object.assign(this.options, options);
    }
    BaseValidationRule.prototype.run = function (target, value, key) {
        if (this.options.array) {
            for (var _i = 0, value_1 = value; _i < value_1.length; _i++) {
                var val = value_1[_i];
                if (this.evaluate(val)) {
                    return this.options.message;
                }
            }
        }
        else {
            if (this.evaluate(value)) {
                return this.options.message;
            }
        }
    };
    return BaseValidationRule;
}());
exports.BaseValidationRule = BaseValidationRule;
//# sourceMappingURL=base-validation-rule.js.map