"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var add_metadata_1 = require("../add-metadata");
var base_validation_rule_1 = require("./base-validation-rule");
var RequiredValidationRule = /** @class */ (function (_super) {
    __extends(RequiredValidationRule, _super);
    function RequiredValidationRule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    RequiredValidationRule.prototype.evaluate = function (value) {
        if (value || value === 0 || value === false) {
            return false;
        }
        return true;
    };
    return RequiredValidationRule;
}(base_validation_rule_1.BaseValidationRule));
function required(options) {
    return function (target, propertyKey) {
        add_metadata_1.addValidationRule(target, propertyKey, new RequiredValidationRule(propertyKey, options));
    };
}
exports.required = required;
//# sourceMappingURL=required.js.map