"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
require("reflect-metadata");
function addValidationRule(target, propertyKey, rule) {
    var rules = Reflect.getMetadata("validation", target, propertyKey) || [];
    rules.push(rule);
    var properties = Reflect.getMetadata("validation", target) || [];
    if (properties.indexOf(propertyKey) < 0) {
        properties.push(propertyKey);
    }
    Reflect.defineMetadata("validation", properties, target);
    Reflect.defineMetadata("validation", rules, target, propertyKey);
}
exports.addValidationRule = addValidationRule;
//# sourceMappingURL=add-metadata.js.map