"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var add_metadata_1 = require("../add-metadata");
var base_validation_rule_1 = require("./base-validation-rule");
var EmailValidationRule = /** @class */ (function (_super) {
    __extends(EmailValidationRule, _super);
    function EmailValidationRule() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this.regexp = /^(([^<>()\[\]\\.,;:\s@"]+(\.[^<>()\[\]\\.,;:\s@"]+)*)|(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return _this;
    }
    EmailValidationRule.prototype.evaluate = function (value) {
        if (value === undefined || value === null)
            return false;
        return !this.regexp.test(value);
    };
    return EmailValidationRule;
}(base_validation_rule_1.BaseValidationRule));
function email(options) {
    return function (target, propertyKey) {
        add_metadata_1.addValidationRule(target, propertyKey, new EmailValidationRule(propertyKey, options));
    };
}
exports.email = email;
//# sourceMappingURL=email.js.map