"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var add_metadata_1 = require("../add-metadata");
var base_validation_rule_1 = require("./base-validation-rule");
var IntegerValidationRule = /** @class */ (function (_super) {
    __extends(IntegerValidationRule, _super);
    function IntegerValidationRule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    IntegerValidationRule.prototype.evaluate = function (value) {
        if (value === undefined || value === null)
            return false;
        if (!isNaN(value) &&
            (function (x) {
                return (x | 0) === x;
            })(parseFloat(value))) {
            return false;
        }
        return true;
    };
    return IntegerValidationRule;
}(base_validation_rule_1.BaseValidationRule));
function integer(options) {
    return function (target, propertyKey) {
        add_metadata_1.addValidationRule(target, propertyKey, new IntegerValidationRule(propertyKey, options));
    };
}
exports.integer = integer;
//# sourceMappingURL=integer.js.map