"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var add_metadata_1 = require("../add-metadata");
var base_validation_rule_1 = require("./base-validation-rule");
var IsNumericValidationRule = /** @class */ (function (_super) {
    __extends(IsNumericValidationRule, _super);
    function IsNumericValidationRule() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    IsNumericValidationRule.prototype.evaluate = function (value) {
        if (value === undefined || value === null)
            return null;
        if (isNaN(value) || typeof value !== "number") {
            return true;
        }
        return false;
    };
    return IsNumericValidationRule;
}(base_validation_rule_1.BaseValidationRule));
function isNumeric(options) {
    return function (target, propertyKey) {
        add_metadata_1.addValidationRule(target, propertyKey, new IsNumericValidationRule(propertyKey, options));
    };
}
exports.isNumeric = isNumeric;
//# sourceMappingURL=is-numeric.js.map