"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var add_metadata_1 = require("../add-metadata");
var base_validation_rule_1 = require("./base-validation-rule");
var MaximumValidationRule = /** @class */ (function (_super) {
    __extends(MaximumValidationRule, _super);
    function MaximumValidationRule(max, key, options) {
        var _this = _super.call(this, key, options) || this;
        _this.max = max;
        return _this;
    }
    MaximumValidationRule.prototype.evaluate = function (value) {
        if (value === undefined || value === null)
            return false;
        if (value < this.max) {
            return false;
        }
        return true;
    };
    return MaximumValidationRule;
}(base_validation_rule_1.BaseValidationRule));
function max(max, options) {
    return function (target, propertyKey) {
        add_metadata_1.addValidationRule(target, propertyKey, new MaximumValidationRule(max, propertyKey, options));
    };
}
exports.max = max;
//# sourceMappingURL=max.js.map